---
author: ~ben
published: true
title: code of conduct
description: tilde.team code of conduct
category: 
    - main
---

# code of conduct

> **tl;dr** learn by doing and helping. be excellent to each other. have fun!


## 1. purpose

a primary goal of tilde.team is to be inclusive to the largest number of contributors, with the most varied and diverse backgrounds possible. as such, we are committed to providing a friendly, safe and welcoming environment for all.

this code of conduct outlines our expectations for all those who participate in our community, as well as the consequences for unacceptable behavior.

we invite all those who participate in tilde.team to help us create safe and positive experiences for everyone.


## 2. tilde.team mission

[full goals/roadmap document](https://tilde.team/wiki/goals-roadmap)

**tilde.team exists to foster an engaged community for socializing, learning, and making cool stuff**

in a mass-media age, it is up to small, intentional communities to gather and work together to provide a space outside of the advertising-laden, profit-seeking, corporate-owned world of social media.

to that end, tilde.team strives to be a radically inclusive community where people of all backgrounds and all technological experience levels can come together to learn, to teach, and to delight in one another's creations.


## 3. expected behavior

the following behaviors are expected and requested of all community members:

  * participate in an authentic and active way. in doing so, you contribute to the health and longevity of this community.
  * exercise consideration and respect in your speech and actions.
  * attempt collaboration before conflict.
  * refrain from demeaning, discriminatory, or harassing behavior and speech.
  * be mindful of your surroundings and of your fellow participants.
  * teach when people need help. don't do it for them.


## 4. unacceptable behavior

the following behaviors are considered harassment and are unacceptable within our community:

  * violence, threats of violence or violent language directed against another person.
  * sexist, racist, homophobic, transphobic, ableist or otherwise discriminatory jokes and language.
  * posting or displaying sexually explicit or violent material.
  * posting or threatening to post other people's personally identifying information ("doxing").
  * personal insults, particularly those related to gender, sexual orientation, race, religion, or disability.
  * unwelcome sexual attention. this includes sexualized comments or jokes.
  * deliberate intimidation, stalking or following.


## 5. consequences of unacceptable behavior

unacceptable behavior from any community member, including sponsors and those with decision-making authority (sudo), will not be tolerated.

anyone asked to stop unacceptable behavior is expected to comply immediately.

if a community member engages in unacceptable behavior, the community organizers may take any action they deem appropriate, up to and including a temporary ban or permanent expulsion from tilde.team without warning (meaning your account will be terminated and all user data deleted).


## 6. reporting guidelines

if you are subject to or witness unacceptable behavior, or have any other concerns, please contact an admin (see info below).

additionally, help engaging with law enforcement is available.


## 7. addressing grievances

if you feel you have been falsely or unfairly accused of violating this code of conduct, use the contact info below to send a concise description of your grievance.


## 8. scope

we expect all tilde.team members to abide by this code of conduct while:

* engaging with other members
* publishing content on tilde.team


## 9. contact info

tilde.team admins:

you can also send a mail to [sudoers@tilde.team](mailto:sudoers@tilde.team) to make sure we all get it.

* [ben](https://tilde.team/~ben/): 
  - [ben@tilde.team](mailto:ben@tilde.team)
  - on irc `/query ben hello`
* [khuxkm](https://tilde.team/~khuxkm/):
  - [khuxkm@tilde.team](mailto:khuxkm@tilde.team)
  - on irc `/query khuxkm hello`
* [cmccabe](https://tilde.team/~cmccabe/):
  - [cmccabe@tilde.team](mailto:cmccabe@tilde.team)
  - on irc `/query cmccabe hello`


## 10. license and attribution

this code of conduct is based on [citizencodeofconduct.org](http://citizencodeofconduct.org/) and [tilde.town coc](http://tilde.town/wiki/conduct.html) under the terms of the [creative commons attribution-sharealike license](http://creativecommons.org/licenses/by-sa/3.0/).


## 11. terms of service

please also see the [terms of service](tos)
