---
author: ~ben
published: true
title: irc
description: irc information
category: 
    - main
---

# [tildeverse irc](https://tilde.chat)

hi teammates!

the tilde.chat irc network is available publicly at irc.tilde.chat:6697 (with ssl) as a round robin of 
[available nodes](https://tilde.chat/wiki/?page=servers).

to connect directly to our node, you can use the following addresses:
- localhost port 6667 when at your shell or via ssh port-forwarding
- team.tilde.chat port 6697 with ssl

this is the beginning of the [tilde.chat](https://tilde.chat) irc federation! more info on that site.

## here are some options to connect:

* `weechat` when logged in with ssh
* `irssi`
* [`znc`](https://znc.tilde.team/) - contact ben (via irc or email) to request an account,
  then log in with your shell password and configure as needed

## weechat relays

weechat introduced [unix socket relays](
https://weechat.org/files/doc/stable/weechat_user.en.html#relay_unix_socket)
in version 2.5 which is a much easier way to offer per-user relay access.

username.ttm.sh/weechat is configured to proxy to the default unix relay socket
location (`~/.weechat/relay_socket`). to get started using it, follow these steps.

1. in weechat:
    * `/relay add unix.weechat %h/relay_socket`
    * `/set relay.network.password mysupersecretpassword` - don't use this password
        of course. note that you might already have this set.

1. at your shell:
    * `chmod o+rw ~/.weechat/relay_socket` - note that other members of the team group
        are not included in the granted permissions. this allows nginx to connect
        to your socket on your behalf. you will need to do this every time you start
        weechat as the socket doesn't exist until weechat starts up.

1. in your relay client:
    * glowing-bear:
        - $user.ttm.sh
        - port 443
        - your relay password

    * weechat-android:
        - connection type: websocket (ssl)
        - websocket path: weechat
        - relay host: $user.ttm.sh
        - relay port: 443
        - your relay password
	- (if you get "Error: Could not connect using WebSocket", check to be sure
	   ~/ and ~/.weechat have at least o+rx permissions so nginx can reach
	   ~/.weechat/relay_socket)

## znc 

the system znc authenticates using your shell password (same as with email and
[nextcloud](https://cloud.tilde.team). reach out to an admin on irc or send an
email to [sudoers@tilde.team](mailto:sudoers@tilde.team).

the webadmin interface is available at [znc.tilde.team](https://znc.tilde.team).

client connections are on port 6699 with ssl.

you can add network connections (up to 10) via webadmin or via a direct client
connection.

see the [znc wiki](https://wiki.znc.in/Connecting_to_ZNC) for more information.

## biboumi

you can connect to irc channels via your xmpp account.

for more info see the [xmpp wiki page](xmpp#biboumi).

tl;dr, join an irc channel with this room address format:

    #channel@biboumi.tilde.team

---

for more info, see the [tilde.chat wiki](https://tilde.chat/wiki/) for info on bots and other specifics.

